Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231308 - 2.6.19-1.2911.6.5.fc6 and Volume group "VolGroup00" not found
Summary: 2.6.19-1.2911.6.5.fc6 and Volume group "VolGroup00" not found
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: x86_64
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 16:40 UTC by Robert J. Gebis
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.6.20-1.2925.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-18 21:34:23 UTC


Attachments (Terms of Use)

Description Robert J. Gebis 2007-03-07 16:40:22 UTC
Description of problem: 
After installing fresh FC6 from DVD with Highpoint RAID 1 driver from Highpoint website I was able to 
run fine. Than I did try to do full system update with yum update. After about 550 packages update I 
tried to reboot. With the new kernel (vmlinuz-2.6.19-1.2911.6.5.fc6) I get message 

Volume group "VolGroup00" not found
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'

When I try to boot with old kernel (vmlinuz-2.6.18-1.2798.fc6) it works fine.


Version-Release number of selected component (if applicable):


How reproducible:

do full yum update on initial/fres installed FC6

Steps to Reproduce:
1. Install FC6 x86_64 with RAID1 High point 2310 (driver from web site)
2. update with "yum update"
3. reboot
  
Actual results:

Volume group "VolGroup00" not found
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'

Expected results:


Additional info:

Here is my full grub file:

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/VolGroup00/LogVol00
#          initrd /initrd-version.img
#boot=/dev/sda
default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.19-1.2911.6.5.fc6)
        root (hd0,0)
        kernel /vmlinuz-2.6.19-1.2911.6.5.fc6 ro root=/dev/VolGroup00/LogVol00 rhgb quiet
        initrd /initrd-2.6.19-1.2911.6.5.fc6.img
title Fedora Core (2.6.18-1.2798.fc6)
        root (hd0,0)
        kernel /vmlinuz-2.6.18-1.2798.fc6 ro root=/dev/VolGroup00/LogVol00 rhgb quiet
        initrd /initrd-2.6.18-1.2798.fc6.img

Here is my fstab file

/dev/VolGroup00/LogVol00 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
sysfs                   /sys                    sysfs   defaults        0 0
/dev/VolGroup00/LogVol01 swap                    swap    defaults        0 0

Contents of /dev/VolGroup00

lrwxrwxrwx 1 root root 31 Mar  7 10:11 LogVol00 -> /dev/mapper/VolGroup00-LogVol00
lrwxrwxrwx 1 root root 31 Mar  7 10:11 LogVol01 -> /dev/mapper/VolGroup00-LogVol01

Comment 1 Chuck Ebbert 2007-03-15 23:02:42 UTC
Should be fixed in kernel 2.6.20-1.2925.fc6. Please test.

Comment 2 Robert J. Gebis 2007-03-17 17:53:33 UTC
It works now :)


Note You need to log in before you can comment on or make changes to this bug.